<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_e1d494d0cbef8081" . "9ebcc2c1a58813a7" => base64_decode("Y29tbW9uLnR5cGUucHVi" . "X3BhZ2U="), "_5fde92609a43c9160" . "462278aec060406" => base64_decode("Y29tbW9uLnVua25vd" . "24="), "_0ed3a0eef0eb416ab3b58" . "6ed096d2184" => base64_decode("cHVibGlzaC5w" . "dWJsaXNoX2Zv" . "bGRlcg=="), "_1d9d2c71a172429c1ebe7f586b87a54" . "9" => base64_decode("cHVibGlzaC5wYWdl" . "X3ZlcnNpb24="), "_0c5123aa744f69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1zZw=" . "="));






abstract class TrashObjectPublish extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if ($_6c31fe38b922bf6d32ca6b96f4cd3945->DeleteObjectById($this->obj_id, $this->aggregation, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    public function Restore()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if (!$_6c31fe38b922bf6d32ca6b96f4cd3945->UndeleteObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_PUB_FOLDER:
                return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0ed3a0eef0eb41" . "6ab3b586ed096d2" . "184"]);
            case AGGREGATION_PUB_PAGE:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e1d494d0cbef80819e" . "bcc2c1a58813a7"]);
            case AGGREGATION_PUB_PAGE_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_1d9d2c71a172429c1ebe7" . "f586b87a549"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_5fde92609a43c9160462278aec060" . "406"]);
    }
}